Subject: Re: [PATCH] MinGW readdir reimplementation to support d_type

From: Marius Storm-Olsen <[email-masked]>
Date: Fri, 08 May 2009 07:45:17 +0200

Heiko Voigt said the following on 07.05.2009 23:26:
> On Sat, Apr 11, 2009 at 11:44:58PM +0200, Johannes Sixt wrote:
>> With a comment in the commit message, it would have been clear,
>> perhaps.
>> 
>> I'll carry this in my (private) tree for a while with the below
>> squashed in to avoid a lot of warnings.
> 
> What happened to this patch? Is there any reason it can not be
> included? I can confirm the factor 2 speedup which is very
> noticeable. Especially when working with "git gui" which does git
> status very often.

Msysgit 1.6.3 (http://code.google.com/p/msysgit/downloads/list) contains 
this patch ontop of baseline 1.6.3. It hasn't made it into the mainline 
yet though. All in good time :-)

--
.marius